# FoundationClasses
TKernel
TColStd

# TColStd_DataMapOfIntegerListOfInteger Class Reference

`#include <TColStd_DataMapOfIntegerListOfInteger.hxx>`

Inheritance diagram for TColStd_DataMapOfIntegerListOfInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_DataMapOfIntegerListOfInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT TColStd_DataMapOfIntegerListOfInteger & | Assign (const TColStd_DataMapOfIntegerListOfInteger &Other)
TColStd_DataMapOfIntegerListOfInteger & | operator= (const TColStd_DataMapOfIntegerListOfInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TColStd_DataMapOfIntegerListOfInteger ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const TColStd_ListOfInteger &I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const TColStd_ListOfInteger & | Find (const Standard_Integer &K) const
const TColStd_ListOfInteger & | operator() (const Standard_Integer &K) const
Standard_EXPORT TColStd_ListOfInteger & | ChangeFind (const Standard_Integer &K)
TColStd_ListOfInteger & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | TColStd_DataMapOfIntegerListOfInteger (const TColStd_DataMapOfIntegerListOfInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_DataMapOfIntegerListOfInteger::TColStd_DataMapOfIntegerListOfInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

TColStd_DataMapOfIntegerListOfInteger::~TColStd_DataMapOfIntegerListOfInteger | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_DataMapOfIntegerListOfInteger::TColStd_DataMapOfIntegerListOfInteger | ( | const TColStd_DataMapOfIntegerListOfInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TColStd_DataMapOfIntegerListOfInteger& TColStd_DataMapOfIntegerListOfInteger::Assign | ( | const TColStd_DataMapOfIntegerListOfInteger & | Other | ) |

Standard_EXPORT Standard_Boolean TColStd_DataMapOfIntegerListOfInteger::Bind | ( | const Standard_Integer & | K,
|  | const TColStd_ListOfInteger & | I
| ) |

Standard_EXPORT TColStd_ListOfInteger& TColStd_DataMapOfIntegerListOfInteger::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void TColStd_DataMapOfIntegerListOfInteger::Clear | ( |  | ) |

Standard_EXPORT const TColStd_ListOfInteger& TColStd_DataMapOfIntegerListOfInteger::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean TColStd_DataMapOfIntegerListOfInteger::IsBound | ( | const Standard_Integer & | K | ) | const

void TColStd_DataMapOfIntegerListOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_DataMapOfIntegerListOfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_DataMapOfIntegerListOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

TColStd_ListOfInteger& TColStd_DataMapOfIntegerListOfInteger::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const TColStd_ListOfInteger& TColStd_DataMapOfIntegerListOfInteger::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

TColStd_DataMapOfIntegerListOfInteger& TColStd_DataMapOfIntegerListOfInteger::operator= | ( | const TColStd_DataMapOfIntegerListOfInteger & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_DataMapOfIntegerListOfInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TColStd_DataMapOfIntegerListOfInteger::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- TColStd_DataMapOfIntegerListOfInteger.hxx